# apollo_flutter

A flutter plug-in for the native Apollo library (Android and iOS).

## Installation

First, add apollo_flutter as a dependency in your pubspec.yaml file.

### Android

Add TekoGoogleRegistryToken to `local.properties` of this project (contact trung.cs@teko.vn to get
the token).

```
// android/local.properties

TekoGoogleRegistry.password=<your-token>
```

In project `build.grade`. Add the following code:

```groovy
allprojects {
    repositories {
        ...

        Properties properties = new Properties()
        properties.load(project.rootProject.file('local.properties').newDataInputStream())

        maven {
            setUrl("https://asia-southeast1-maven.pkg.dev/teko-development/teko-mobile-sdks")

            authentication {
                basic(BasicAuthentication)
            }

            credentials {
                username = "_json_key_base64"
                password = properties.getProperty('TekoGoogleRegistry.password')
            }
        }
    }
}
```

### iOS

Setup github access token for accessing Teko iOS frameworks (contact trung.cs@teko.vn to get the
token)..

- Open terminal: `touch /.bash_profile; open /.bash_profile` (a text editor will be opened)
- Add a new line: `export GITHUB_USER_TOKEN="<your-token>"`
- Save file and go back to terminal: `source ~/.bash_profile`

## Library usage

### Initialize/get an Apollo instance

Static Method: `TerraApollo.getInstance(String appName) → Future<TerraApollo>`

Should be called in initialize phase of your app and must be called after initilizing TerraApp
successful.

### Get the Apollo theme

Method: `terraApollo.getTheme() -> ApolloTheme`
